# Function getVaaByTxHashWithRetry

- getVaaByTxHashWithRetry<T>(rpcUrl, txid, decodeAs, timeout): Promise<ReturnType<typeof deserialize> | null>

- #### Type Parameters

  - #### T extends PayloadLiteral | PayloadDiscriminator

  #### Parameters

  - ##### rpcUrl: string

  - ##### txid: string

  - ##### decodeAs: T

  - ##### timeout: number

  #### Returns Promise<ReturnType<typeof deserialize> | null>

  - Defined in connect/src/whscan-api.ts:278

Generated using TypeDoc